//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference
// Implementation, v2.2.8-b130911.1802
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2018.12.06 at 03:36:10 PM CET
//

package nl.naturalis.nba.dao.format.config;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>Java class for EntityXmlConfig complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="EntityXmlConfig">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="data-source" type="{http://data.naturalis.nl/nba-dataset-config}DataSourceXmlConfig" minOccurs="0"/>
 *         &lt;element name="path" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="filter" type="{http://data.naturalis.nl/nba-dataset-config}PluginXmlConfig" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="mapping" type="{http://data.naturalis.nl/nba-dataset-config}MappingXmlConfig"/>
 *       &lt;/sequence>
 *       &lt;attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
    name = "EntityXmlConfig",
    propOrder = {"dataSource", "path", "filter", "mapping"})
public class EntityXmlConfig {

  @XmlElement(name = "data-source")
  protected DataSourceXmlConfig dataSource;

  protected String path;
  protected List<PluginXmlConfig> filter;

  @XmlElement(required = true)
  protected MappingXmlConfig mapping;

  @XmlAttribute(name = "name", required = true)
  protected String name;

  /**
   * Gets the value of the dataSource property.
   *
   * @return
   *     possible object is
   *     {@link DataSourceXmlConfig }
   *
   */
  public DataSourceXmlConfig getDataSource() {
    return dataSource;
  }

  /**
   * Sets the value of the dataSource property.
   *
   * @param value
   *     allowed object is
   *     {@link DataSourceXmlConfig }
   *
   */
  public void setDataSource(DataSourceXmlConfig value) {
    this.dataSource = value;
  }

  /**
   * Gets the value of the path property.
   *
   * @return
   *     possible object is
   *     {@link String }
   *
   */
  public String getPath() {
    return path;
  }

  /**
   * Sets the value of the path property.
   *
   * @param value
   *     allowed object is
   *     {@link String }
   *
   */
  public void setPath(String value) {
    this.path = value;
  }

  /**
   * Gets the value of the filter property.
   *
   * <p>
   * This accessor method returns a reference to the live list,
   * not a snapshot. Therefore any modification you make to the
   * returned list will be present inside the JAXB object.
   * This is why there is not a <CODE>set</CODE> method for the filter property.
   *
   * <p>
   * For example, to add a new item, do as follows:
   * <pre>
   *    getFilter().add(newItem);
   * </pre>
   *
   *
   * <p>
   * Objects of the following type(s) are allowed in the list
   * {@link PluginXmlConfig }
   *
   *
   */
  public List<PluginXmlConfig> getFilter() {
    if (filter == null) {
      filter = new ArrayList<PluginXmlConfig>();
    }
    return this.filter;
  }

  /**
   * Gets the value of the mapping property.
   *
   * @return
   *     possible object is
   *     {@link MappingXmlConfig }
   *
   */
  public MappingXmlConfig getMapping() {
    return mapping;
  }

  /**
   * Sets the value of the mapping property.
   *
   * @param value
   *     allowed object is
   *     {@link MappingXmlConfig }
   *
   */
  public void setMapping(MappingXmlConfig value) {
    this.mapping = value;
  }

  /**
   * Gets the value of the name property.
   *
   * @return
   *     possible object is
   *     {@link String }
   *
   */
  public String getName() {
    return name;
  }

  /**
   * Sets the value of the name property.
   *
   * @param value
   *     allowed object is
   *     {@link String }
   *
   */
  public void setName(String value) {
    this.name = value;
  }
}
